diff --git a/res/res_pjsip/pjsip_options.c b/res/res_pjsip/pjsip_options.c
index a7aefaa565..6bae678291 100644
--- a/res/res_pjsip/pjsip_options.c
+++ b/res/res_pjsip/pjsip_options.c
@@ -744,8 +744,6 @@ static int sip_options_contact_status_notify_task(void *obj)
 		ast_statsd_log_string_va("PJSIP.contacts.states.%s", AST_STATSD_GAUGE,
 			"+1", 1.0, ast_sip_get_contact_status_label(cs_new->status));
 
-		sip_options_contact_status_update(cs_new);
-
 		ast_test_suite_event_notify("AOR_CONTACT_UPDATE",
 			"Contact: %s\r\n"
 			"Status: %s",
@@ -759,6 +757,8 @@ static int sip_options_contact_status_notify_task(void *obj)
 			cs_new->rtt / 1000.0);
 	}
 
+	sip_options_contact_status_update(cs_new);
+
 	ast_statsd_log_full_va("PJSIP.contacts.%s.rtt", AST_STATSD_TIMER,
 		cs_new->status != AVAILABLE ? -1 : cs_new->rtt / 1000,
 		1.0,
